### Method

# EDataServerUI4 CredentialsPrompterImpl prompt

since: 3.16

#### Declaration [src]

    void
    e_credentials_prompter_impl_prompt (
      ECredentialsPrompterImpl* prompter_impl,
      gpointer prompt_id,
      ESource* auth_source,
      ESource* cred_source,
      const gchar* error_text,
      const ENamedParameters* credentials
    )

#### Description [src]

Runs a credentials prompt for the `prompter_impl`. The actual prompter implementation receives the prompt through ECredentialsPrompterImplClass::process_prompt(), where the given `prompt_id` is used for an identification. The prompt is left ‘active’ as long as it is not finished with a call of e_credentials_prompter_impl_prompt_finish(). This should be called even for cancelled prompts. The prompt can be cancelled before it’s processed, using the e_credentials_prompter_impl_cancel_prompt().

The `auth_source` can be the same as `cred_source`, in case the credentials are stored only for that particular source. If the sources share credentials, which can be a case when the `auth_source` is part of a collection, then the `cred_stource` can be that collection source.

Available since: 3.16

#### Parameters

`prompt_id`

  Type: `gpointer`

  A prompt ID to be passed to e_credentials_prompter_impl_prompt_finish().

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`auth_source`

  Type: `ESource`

  An `ESource`, to prompt the credentials for (the source which asked for credentials).

  The data is owned by the caller of the method.

`cred_source`

  Type: `ESource`

  A parent `ESource`, from which credentials were taken, or should be stored to.

  The data is owned by the caller of the method.

`error_text`

  Type: `const gchar*`

  An optional error text from the previous credentials prompt; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`credentials`

  Type: `ENamedParameters`

  Credentials, as saved in keyring; can be empty, but not `NULL`.

  The data is owned by the caller of the method.